---
tags:
  - Lieux/Colonie
wikilink: https://app.kanka.io/w/eana/entities/4438297
version: "1"
---
La Cyrillane est l’une des plus proches contrées de la [[Cité Franche]], laquelle dut à de nombreuses reprises dans son histoire résister à ses velléités de conquête. Cette époque semble révolue car l’ancien empire menace désormais de se disloquer au cours d’une guerre civile d’une extrême violence, alimentée par des ressentiments accumulés et par la fièvre des adeptes de [[Tamerakh]]. Le dieu de la Destruction se présente là-bas comme un libérateur, le vengeur des opprimés, celui qui châtie les tyrans. S’il est vrai que des dirigeants corrompus ont effectivement été abattus par les adeptes du destructeur, les effets négatifs dans le pays et pour les populations sont les plus nombreux et une nouvelle forme de terreur règne désormais, tandis que les diverses factions luttent pour abattre leurs rivales et s’établir comme maître incontesté des ruines. 


# Coutumes
### Don et contre-don
*Inspiré par le jeu de rôle Kosmos, [[Kosmos-Thesauros.pdf]]*
Le commerce existe, mais il tient une place beaucoup plus limitée que dans le monde réel actuel, ou que dans les Moyens âges imaginaires de fantasy dépeints par les jeux de rôle et les jeux vidéo. De fait, la Grèce des époques dont Kosmos s’inspire n’est absolument pas capitaliste. Une économie si éloignée de notre époque mérite un petit guide . Ne vous en faites pas, elle n’est exotique qu’en apparence. En réalité, une partie de ses codes a survécu jusqu’à nos jours sous la forme de règles tacites de savoirvivre. Dans la Grèce du monde de Kosmos, la plupart des foyers sont presque autarciques (je reviendrai sur ce « presque » plus loin) : toute la nourriture, tous les biens artisanaux et tous les services dont on peut avoir besoin peuvent être produits soit au sein de la maisonnée, soit au sein d’une communauté de proximité (le village, le quartier, la ville). Dans le Péloponnèse et sur l’île de Crète, de nombreux villages ou villes appartiennent en outre à un royaume dirigé par un palais (Mycènes, Argos, Tirynthe, Sparte, Pylos, Cnossos…) qui prélève un impôt, redistribue une partie des biens et assure une protection militaire aux gens qui vivent sur son territoire. On n’a donc pas besoin de vendre ou d’acheter. En revanche, la Grèce de Kosmos est un monde où l’on a absolument besoin de gens sur qui compter : de relations de confiance. Faire un cadeau permet de nouer ou d’entretenir une relation de confiance.

#### À qui offre-t-on des cadeaux ? 
Il peut s’agir : 
- de membres de sa propre famille proche ou éloignée. 
- de membres de la belle-famille. 
- d’un ou d’une amie. 
- d’un ou d’une voisine. 
- d’un ou d’une alliée militaire. 
- d’un ou d’une… ennemie militaire, dans le cadre d’une négociation. 
- d’un ou d’une hôte de passage. 
#### Quand offre-t-on des cadeaux ? 
Dans toutes sortes de contextes : 
- quand on se rend visite brièvement (sans que l’un héberge l’autre). 
- quand on se réunit quelque part. 
- quand on est l’hôte de quelqu’un (qu’on soit la personne qui héberge ou la personne hébergée).
- quand on cherche à lier amitié avec quelqu’un. 
- quand on cherche à séduire quelqu’un (on offre alors parfois des cadeaux à connotation érotique afin qu’ils ne soient pas pris pour de simples cadeaux d’amitié : une pomme croquée à une femme, un coq à un homme, etc.). 
- quand un père ou une mère négocie le mariage d’un de ses enfants avec une belle-famille potentielle : on établit alors la dot. 
- quand on assiste au mariage d’un couple. 
- pour célébrer une naissance. 
- pour rendre hommage à un défunt : on place les cadeaux funèbres dans sa tombe. 
- en compensation pour un accident ou un dégât dont on est responsable (en cas de mort d’homme voire de meurtre, le cadeau finit par se transformer en amende, un « prix du sang », si l’affaire n’est pas trop grave). 
- lors d’une visite diplomatique. 
- lors de négociations avec des ennemis, par exemple une trêve. 
Les échanges de cadeaux se font, d’ordinaire, entre Grecs, car les relations avec des barbares fonctionnent différemment (et c’est là qu’intervient le commerce : voyez plus loin). Mais, par exception, les relations entre personnages royaux ou aristocrates grecs et barbares sont elles aussi soumises à la coutume de l’échange de cadeaux lorsqu’elles entrent dans le cadre de tractations diplomatiques, qu’il s’agisse de conclure ou d’entretenir une alliance, de clore un conflit, de négocier un mariage international, etc. Le roi de Mycènes envoie ainsi régulièrement des cadeaux au roi d’Égypte et réciproquement, tout comme le roi de Crète avec les souverains de telle ou telle ville de Chypre, etc. 
#### Doit-on offrir un cadeau dès qu’on en reçoit un ? 
Oui, mais pas nécessairement tout de suite. Le principe le plus important est que tout cadeau appelle un cadeau en retour, autrement dit, tout don appelle un contre-don. Mais ce contre-don n’a pas besoin d’être donné tout de suite. Au contraire : l’écart temporel entre le don et le contre-don est très important, parce qu’il montre la confiance établie entre les deux personnages. Pendant cette période, le personnage qui se retrouve en position de débiteur ne doit pas oublier ce qu’il doit. Lors de la rencontre suivante, c’est au débiteur d’offrir un cadeau.

#### Qu’offre-t-on, et quelle valeur doit avoir le cadeau ? 
Les principes de base des échanges de cadeaux sont que : 
- **Un cadeau doit être adéquat** : utile à la personne à qui on l’offre (ou, au moins, facile à échanger contre autre chose), joli, et si possible adapté aux circonstances (quitte à offrir un vase peint à des mariés, autant que la scène peinte dessus ait un rapport avec l’amour et le mariage).
- **Un cadeau doit être convenable.** On n’offre pas un chien mort. On n’offre pas un cadeau à connotation érotique à une femme mariée, ni un vase funèbre comme cadeau de naissance, etc. Un cadeau inconvenant constitue un impair qui peut être grave : il peut être pris comme une insulte ou une provocation. 
- **Un cadeau doit avoir une valeur adaptée aux circonstances.** Si tout le monde offre un petit cadeau et qu’on est le seul à offrir un cadeau très coûteux, cela peut être un impair… ou au contraire l’occasion de faire étalage de sa richesse ou d’une générosité orgueilleuse. À l’inverse, un cadeau trop petit peut dénoter l’avarice ou une relation qui se dégrade, ou bien trahir la pauvreté.
- **Lors d’un échange, les cadeaux doivent être de valeur égale.** C’est la différence cruciale entre les échanges de cadeaux et le commerce : un échange de cadeaux ne profite, en théorie, à personne. Quand on reçoit un cadeau, il faut choisir attentivement ce qu’on va offrir en retour, afin de n’être ni avare, ni excessivement généreux. En pratique, il arrive qu’un échange soit inégal et que ce soit convenable, par exemple si un parent soutient son enfant en train de s’établir à son compte. Mais en général, un échange inégal couvre de ridicule le héros au détriment duquel il se fait. Au cours d’une bataille de la guerre de Troie, l’Achéen Diomède, fils de Tydée, s’apprête à se battre contre le Troyen Glaucos fils d’Hippoloque. Mais en se défiant, les deux héros se rendent compte qu’ils sont apparentés d’assez près. Après avoir longuement discuté sur le champ de bataille, ils renoncent à se battre. Pour sceller leur amitié, ils se prennent les mains, puis échangent leurs armes. Mais les armes de Glaucos sont richement ornées d’or et ont une valeur de cent bœufs, un luxe rare, alors que les armes de Diomède sont de bronze et n'en valent que neuf : Glaucos fait une folie puisqu’il perd largement au change2 ! 
- **Chacun offre ce qu’il peut selon son niveau de richesse.** Quand les deux personnages ont à peu près le même niveau de richesse, tout va bien. Quand l’un des deux a un niveau de richesse nettement plus élevé, il peut, soit s’adapter au niveau de richesse du plus pauvre, soit montrer sa richesse en faisant un cadeau coûteux. Ce second cas ouvre lui-même deux possibilités : soit cela va obliger l’autre personnage à faire un effort considérable pour préparer un cadeau de même valeur au personnage riche (ce peut être un moyen de faire de quelqu’un un débiteur, qui se sentira contraint d’accepter de rendre toutes sortes de services), soit le personnage le plus riche déclare explicitement qu’il n’attend pas de retour, et se montre alors authentiquement généreux. 
- **Un cadeau peut consister en un bien matériel, mais aussi en un service rendu.** Il peut s’agir d’un aliment, d’un animal vivant, d’un objet, voire d’un esclave, ou même (pour les cadeaux les plus dispendieux) d’un lot de terrain ou d’un bâtiment. Mais un cadeau peut aussi consister en un service rendu, qu’il s’agisse d’aider à accomplir une tâche du quotidien (laisser quelqu’un utiliser un four à pain ou une charrue ou venir moudre son grain au moulin) ou d’assurer la protection d’un endroit ou d’une personne qui viendra là en voyage, etc. L’alliance militaire n’est parfois pas loin. 
- **On peut offrir en cadeau des objets qu’on a soi-même reçus en cadeau.** Ce n’est pas inconvenant, en général. 
- **On offre parfois des objets auxquels on tient beaucoup.** La valeur affective d’un objet (par exemple un héritage ou don fait par un ou une amie) n’empêche pas de donner l’objet à quelqu’un d’autre. Mais elle confère une valeur supplémentaire à l’objet. Son propriétaire choisit donc attentivement la personne qui sera digne de le recevoir en cadeau : un proche, un ou une amie intime, une personne qui lui a rendu un service immense… Il arrive aussi que le propriétaire organise une compétition pour choisir qui obtiendra l’objet. *Un exemple fameux est celui des funérailles d’Achille dans l’Iliade : sa mère, la nymphe Thétis, récupère les armes divines forgées par Héphaïstos pour Achille (voyez plus loin « Armes d’Axchille » au chapitre « Les créations d’Héphaïstos ») et elle désire les léguer à un héros qui en soit digne. L’armée achéenne se concerte et deux héros, Ajax fils de Télamon et Ulysse, font chacun un discours pour expliquer en quoi ils se pensent dignes de recevoir ces armes. Ulysse, moins fort qu’Ajax, mais plus éloquent, emporte l’adhésion des soldats et de Thétis. De jalousie, Ajax sombre dans la folie et se suicide.*
- **L’histoire des propriétaires successifs d’un objet peut ajouter à sa valeur.** La personne qui fait le cadeau, si elle connaît bien l’histoire de l’objet offert, prend le temps de la raconter (et donc de la transmettre aussi) au récipiendaire du cadeau. Mais il arrive qu’un personnage doive lui-même partir en quête d’informations sur l’histoire d’un objet, ce qui peut former le sujet d’un scénario entier dans le cas d’objets à l’histoire complexe. Cette histoire peut recéler des révélations sur la légitimité du propriétaire si l’objet a été mal acquis, volé, pris par fourberie… Car l’histoire des anciens propriétaires d’un objet couvre parfois cet objet d’infamie, voire révèle une impureté religieuse ou une malédiction. Dans ce cas, soit on peut laver cette souillure par un rituel religieux ou magique approprié, soit il vaut mieux se séparer de l’objet, ou le détruire, ou l’offrir à un ennemi. Exemple : voyez le sceptre de Pélops, au chapitre « Les créations d’Héphaïstos ».

#### Alors, quand fait-on du commerce ? 
Être marchand n’est pas un métier bien considéré. Les héros et les héroïnes épiques ne vendent donc rien eux-mêmes, ou le moins possible. En revanche, on recourt au commerce pour se procurer des ressources introuvables en Grèce (ou trop rares par rapport aux besoins), autrement dit pour faire des achats d’importation. La principale ressource de ce type est le métal : le cuivre et l’étain (qui servent à fabriquer le bronze), l’or et l’argent (les rares gisements que les Grecs connaissent ne couvrent pas leurs besoins : chercher un gisement de ce type peut d’ailleurs constituer une aventure à part entière pour les PJ), et des biens exotiques tels que les épices, certains parfums, les animaux ou produits d’origine animale inconnus en Grèce, des outils, instruments de musique ou armes de modèles barbares, etc. Il n'y a aucune honte, même pour un roi ou une reine, à marchander pour acquérir de tels produits. Ces produits, qui viennent des contrées barbares, sont vendus par des étrangers de passage en Grèce, par exemple des Phéniciens, ou des demi-barbares comme les Chypriotes (habitants de l’île de Chypre), ou, rarement, des Égyptiens, des Assyriens ou des Tyrrhéniens3 . Les PJ peuvent aussi se procurer ces biens lorsqu’ils voyagent hors de Grèce. La relation de confiance qui existe au sein d’une communauté grecque ou entre membres de l’aristocratie n’existe pas avec des étrangers de passage. De plus, la rareté (ou le caractère unique) des visites fait qu’on ne peut pas toujours entamer un cycle d’échanges de cadeaux avec un étranger de passage. Les rencontres qui en résultent sont des relations où chacun a besoin d’un objet précis, mais pas d’établir un lien social renforcé. On pratique alors le troc, c’est-à-dire un échange de biens commercial, où chacune des parties va tenter de faire du profit, c’est-à-dire de repartir avec des biens ayant une valeur supérieure à celle des biens qu’il aura cédés. Le lien social, lui, existe, mais il se cantonne à une simple non-hostilité. 
Bien entendu, ce type de relation peut se renforcer, à terme, pour devenir une relation de confiance, d’hospitalité régulière, d’alliance militaire, voire d’amitié ou d’alliance matrimoniale. Mais cela suppose qu’elle cesse d’être ponctuelle et perdure dans le temps (et que les personnages apprennent un tant soit peu leurs langues respectives).
#### En termes de jeu 
Les PJ vont très souvent offrir et recevoir des cadeaux. Même si cela peut être plaisant de jouer le détail de ces échanges, ce n’est nullement une obligation, car cela peut ralentir le rythme d’une partie et devenir fastidieux. Souvent, il n’y a pas besoin de demander quel cadeau précis est donné ou reçu. Vous pouvez alors vous contenter d’évaluer le niveau global de richesse des personnages concernés : voyez le chapitre « Les niveaux de richesse ». Mais il y a deux types de circonstances où cela peut être intéressant de jouer un échange de cadeaux en détail : 1) quand il y a une différence de niveau de richesse assez grande pour qu’un des deux personnages ait du mal à donner (tout de suite ou plus tard) un cadeau d’une valeur équivalente à ceux qu’il reçoit. C’est un bon prétexte de péripétie, ou même un moyen de démarrer une aventure. 2) Quand les cadeaux reçus ou offerts revêtent une importance particulière dans l’aventure, par exemple lors d’une rencontre diplomatique délicate ou d’une négociation de trêve, ou encore lorsque les PJ doivent plaire (ou ne pas déplaire) à un PNJ important. C’est bien sûr également indispensable si un PJ veut séduire quelqu’un ou se marier.

> Sur ce mécanisme du « don et du contre-don » (qu’on retrouve dans de multiples sociétés), je m’appuie ici principalement sur Finley (1986, chapitre « Richesse et travail ») et Garlan (1999). Toutes les références renvoient à la bibliographie et à la sitographie, à la fin de ce supplément.